Dashboard
Product analytics
Per-product performance plus market-basket pairs and category mix.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
days?integer
Look-back window in days.
Range
7 <= value <= 180Default
30merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/products/analytics"{ "data": { "category_breakdown": [ { "aov": 0, "change_pct": 0, "customers": 0, "key": "string", "label": "string", "orders": 0, "revenue": 0, "share_pct": 0 } ], "declining": [ { "attach_rate_pct": 0, "category": "string", "change_pct": 0, "gross_margin": 0, "margin_pct": 0, "name": "string", "orders": 0, "previous_revenue": 0, "price": 0, "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "revenue": 0, "revenue_share_pct": 0, "sku": "string", "trend": "UP", "units_sold": 0 } ], "growing": [ { "attach_rate_pct": 0, "category": "string", "change_pct": 0, "gross_margin": 0, "margin_pct": 0, "name": "string", "orders": 0, "previous_revenue": 0, "price": 0, "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "revenue": 0, "revenue_share_pct": 0, "sku": "string", "trend": "UP", "units_sold": 0 } ], "period": { "current": { "end": "2019-08-24", "start": "2019-08-24" }, "days": 0, "label": "string", "previous": { "end": "2019-08-24", "start": "2019-08-24" } }, "product_mix": [ { "co_occurrences": 0, "combined_revenue": 0, "confidence_pct": 0, "estimated_bundle_uplift": 0, "lift": 0, "product_a_id": "47081ac4-c7c8-4781-b28f-517805c59d66", "product_a_name": "string", "product_b_id": "6d91b48b-04da-4afb-915c-70f23e243604", "product_b_name": "string", "support_pct": 0 } ], "products": [ { "attach_rate_pct": 0, "category": "string", "change_pct": 0, "gross_margin": 0, "margin_pct": 0, "name": "string", "orders": 0, "previous_revenue": 0, "price": 0, "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "revenue": 0, "revenue_share_pct": 0, "sku": "string", "trend": "UP", "units_sold": 0 } ], "top_by_margin": [ { "attach_rate_pct": 0, "category": "string", "change_pct": 0, "gross_margin": 0, "margin_pct": 0, "name": "string", "orders": 0, "previous_revenue": 0, "price": 0, "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "revenue": 0, "revenue_share_pct": 0, "sku": "string", "trend": "UP", "units_sold": 0 } ], "top_by_revenue": [ { "attach_rate_pct": 0, "category": "string", "change_pct": 0, "gross_margin": 0, "margin_pct": 0, "name": "string", "orders": 0, "previous_revenue": 0, "price": 0, "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "revenue": 0, "revenue_share_pct": 0, "sku": "string", "trend": "UP", "units_sold": 0 } ] }, "meta": {}, "success": true}